# Generated by Django 3.1.7 on 2021-03-21 09:59

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import fast_drf.mixins.expose_api_model_mixin


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="PostMeta",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("meta_info", models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name="UserProfile",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=128)),
                ("phone", models.CharField(max_length=32)),
                ("address", models.TextField(verbose_name="Address")),
                ("dob", models.DateField(null=True)),
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            bases=(
                fast_drf.mixins.expose_api_model_mixin.ExposeApiModelMixin,
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="Post",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=256, null=True)),
                ("description", models.TextField(null=True)),
                (
                    "author",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="test_app.userprofile",
                    ),
                ),
                (
                    "meta",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="posts",
                        to="test_app.postmeta",
                    ),
                ),
            ],
            bases=(
                fast_drf.mixins.expose_api_model_mixin.ExposeApiModelMixin,
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="TestUser",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("test_app.userprofile",),
        ),
    ]
